using SqlSugar;
using System;
using System.Collections.Generic;
using System.Text;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Model.domain
* 唯一标识：a4dbd270-62c5-47db-a5f7-7e7cb895d15a
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-04-07 16:55:22
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Model.domain
{
    /// <summary>
    /// 库位信息
    /// </summary>
    [SugarTable("wms_base_location"), TenantAttribute("mes")]
    public class BaseLocation
    {
        /// <summary>
        /// 库位ID
        /// </summary>
        [SugarColumn(ColumnName = "location_id", IsPrimaryKey = true, IsIdentity = true)]
        public long LocationId { get; set; }

        /// <summary>
        /// 仓库ID
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_id")]
        public long WarehouseId { get; set; }

        /// <summary>
        /// AGV位置编码
        /// </summary>
        [SugarColumn(ColumnName = "agv_position_code")]
        public string AgvPositionCode { get; set; }

        /// <summary>
        /// 仓库楼层
        /// </summary>
        [SugarColumn(ColumnName = "warehouse_floor")]
        public int WarehouseFloor { get; set; }

        /// <summary>
        /// 库位编码
        /// </summary>
        [SugarColumn(ColumnName = "location_code")]
        public string LocationCode { get; set; }

        /// <summary>
        /// 容器编码
        /// </summary>
        [SugarColumn(ColumnName = "container_code")]
        public string ContainerCode { get; set; }

        /// <summary>
        /// 行号
        /// </summary>
        [SugarColumn(ColumnName = "loc_row")]
        public int? LocRow { get; set; }

        /// <summary>
        /// 列号
        /// </summary>
        [SugarColumn(ColumnName = "loc_column")]
        public int? LocColumn { get; set; }

        /// <summary>
        /// 层号
        /// </summary>
        [SugarColumn(ColumnName = "layer_num")]
        public int? LayerNum { get; set; }

        /// <summary>
        /// 深度
        /// </summary>
        [SugarColumn(ColumnName = "loc_deep")]
        public int? LocDeep { get; set; }

        /// <summary>
        /// 激活标志
        /// </summary>
        [SugarColumn(ColumnName = "active_flag")]
        public string ActiveFlag { get; set; }

        /// <summary>
        /// 手动标志
        /// </summary>
        [SugarColumn(ColumnName = "manual_flag")]
        public string ManualFlag { get; set; }

        /// <summary>
        /// 返回标志
        /// </summary>
        [SugarColumn(ColumnName = "return_flag")]
        public string ReturnFlag { get; set; }

        /// <summary>
        /// 数量限制
        /// </summary>
        [SugarColumn(ColumnName = "qty_limit")]
        public decimal? QtyLimit { get; set; }

        /// <summary>
        /// 入库标志
        /// </summary>
        [SugarColumn(ColumnName = "instock_flag")]
        public string InstockFlag { get; set; }

        /// <summary>
        /// 出库标志
        /// </summary>
        [SugarColumn(ColumnName = "outstock_flag")]
        public string OutstockFlag { get; set; }

        /// <summary>
        /// 库位状态
        /// </summary>
        [SugarColumn(ColumnName = "location_status")]
        public string LocationStatus { get; set; }

        /// <summary>
        /// 批次混合
        /// </summary>
        [SugarColumn(ColumnName = "batch_mix")]
        public string BatchMix { get; set; }

        /// <summary>
        /// 创建者
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? CreateTime { get; set; }

        /// <summary>
        /// 更新者
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public DateTime? UpdateTime { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }

        /// <summary>
        /// 删除标志
        /// </summary>
        [SugarColumn(ColumnName = "del_flag")]
        public string DelFlag { get; set; }

        /// <summary>
        /// 货架排序
        /// </summary>
        [SugarColumn(ColumnName = "shelf_order")]
        public string ShelfOrder { get; set; }

        /// <summary>
        /// 检查排序
        /// </summary>
        [SugarColumn(ColumnName = "check_order")]
        public string CheckOrder { get; set; }

        /// <summary>
        /// 拣货排序
        /// </summary>
        [SugarColumn(ColumnName = "pick_order")]
        public string PickOrder { get; set; }

        /// <summary>
        /// 拣货标志
        /// </summary>
        [SugarColumn(ColumnName = "pick_flag")]
        public string PickFlag { get; set; }

        /// <summary>
        /// 开箱标志
        /// </summary>
        [SugarColumn(ColumnName = "is_open_kn_flag")]
        public string IsOpenKnFlag { get; set; }

        /// <summary>
        /// 库位报废类型
        /// </summary>
        [SugarColumn(ColumnName = "location_scrap_type")]
        public string LocationScrapType { get; set; }

        /// <summary>
        /// 体积限制
        /// </summary>
        [SugarColumn(ColumnName = "volume_limit")]
        public decimal? VolumeLimit { get; set; }

        /// <summary>
        /// 重量限制
        /// </summary>
        [SugarColumn(ColumnName = "weight_limit")]
        public decimal? WeightLimit { get; set; }

        /// <summary>
        /// 长度
        /// </summary>
        [SugarColumn(ColumnName = "length")]
        public decimal? Length { get; set; }

        /// <summary>
        /// 宽度
        /// </summary>
        [SugarColumn(ColumnName = "width")]
        public decimal? Width { get; set; }

        /// <summary>
        /// 高度
        /// </summary>
        [SugarColumn(ColumnName = "height")]
        public decimal? Height { get; set; }

        /// <summary>
        /// 容器状态
        /// </summary>
        [SugarColumn(ColumnName = "container_status")]
        public string ContainerStatus { get; set; }

        /// <summary>
        /// 异常描述
        /// </summary>
        [SugarColumn(ColumnName = "exception_desc")]
        public string ExceptionDesc { get; set; }
    }
}